import { PhoneBase } from './phone-base';

/**
 * 手机
 *
 * @export
 * @class Phone
 * @extends {PhoneBase}
 * @implements {IPhone}
 */
export class Phone extends PhoneBase {

    /**
     * 克隆当前实体
     *
     * @return {*}
     * @memberof Phone
     */
    clone(): Phone {
        return new Phone(this);
    }
}
export default Phone;
